Nutanix
All operations require authentication, except the 3 marked Public.
Get list of owned Nutanix ClustersProduction
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get all nodes in a clusterProduction
Path parameters
Service name
Response
Hypervisor IP
Controler VM IP
Node possible actions
Name of the associated server
Node status
DEPLOYEDDEPLOYINGDEPLOY_CANCELLEDDEPLOY_FAILUREUNDEPLOYEDUNDEPLOYINGUNDEPLOY_CANCELLEDUNDEPLOY_FAILUREUNKNOWNExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ nodes \
-H "authorization: Bearer $OVH_TOKEN"[ { "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "possibleActions": [ { "action": "INSTALL", "isPossible": true, "reason": "string" } ], "server": "string", "status": "DEPLOYED" }]
Get nutanix cluster infoProduction
Path parameters
Service name
Response
Available redundancy Factor
Available versions to install
IAM resource metadata
Cluster name
Current cluster's status
ActiveDeployingErrorTarget Spec after deployment
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedRedundancyFactor": [ 0 ], "availableVersions": [ "string" ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string", "status": "Active", "targetSpec": { "controlPanelURL": "string", "dataserviceIp": "192.0.2.0", "erasureCoding": true, "gatewayCidr": "192.0.2.0/24", "infraVlanNumber": 0, "ipfo": "192.0.2.0/24", "iplb": "string", "license": "string", "metadata": { "initialCommitmentSize": 0 }, "name": "string", "nodes": [ { "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "possibleActions": [ { "action": "INSTALL", "isPossible": true, "reason": "string" } ], "server": "string", "status": "DEPLOYED" } ], "prismCentral": { "ips": [ "192.0.2.0" ], "size": "large", "type": "alone", "vip": "192.0.2.0" }, "prismElementVip": "192.0.2.0", "prismSecretId": "00000000-0000-0000-0000-000000000000", "rackAwareness": true, "redundancyFactor": 0, "version": "string", "vrack": "string" }}
Fetch the availabilities for a given cluster configurationProductionPublic
Query parameters
The name of the memory hardware part
The plan code in which the hardware is involved
Node quantity
Cluster redundancy factor
23The name of the base hardware
The name of the storage hardware part
The name of the system storage hardware part
Response
A structure describing the hardware availability for each datacenter
Deployment type
NodeAwarenessErasure coding activation
Fully qualified name and unique name of the hardware
Name of the memory hardware part
Plan code in which the hardware is involved
Redundancy factor
23Name of the base hardware
Name of the storage hardware part
Name of the system storage hardware part
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ availabilities[ { "datacenters": [ { "availability": "1440H", "datacenter": "string" } ], "deploymentType": "NodeAwareness", "erasureCoding": true, "fqn": "string", "memory": "string", "planCode": "string", "redundancyFactor": 2, "server": "string", "storage": "string", "systemStorage": "string" }]
List the raw availability for Nutanix clusterProduction
Query parameters
The names of datacenters separated by commas
Cluster deployment type
NodeAwarenessIf true, all datacenters are returned except those listed in datacenters parameter
If true, all regions are returned except those listed in regions parameter
The name of the memory hardware part
The plan code in which the hardware is involved
Node quantity
Cluster redundancy factor
23The names of regions separated by commas
The name of the base hardware
The name of the storage hardware part
The name of the system storage hardware part
Response
A structure describing the hardware availability for each datacenter
Deployment type
NodeAwarenessErasure coding activation
Fully qualified name and unique name of the hardware
Name of the memory hardware part
Plan code in which the hardware is involved
Redundancy factor
23Name of the base hardware
Name of the storage hardware part
Name of the system storage hardware part
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ availabilities/ raw \
-H "authorization: Bearer $OVH_TOKEN"[ { "datacenters": [ { "availability": "1440H", "datacenter": "string", "lastRule": "string", "parentAvailable": 0, "trueAvailable": 0 } ], "deploymentType": "NodeAwareness", "erasureCoding": true, "fqn": "string", "memory": "string", "planCode": "string", "redundancyFactor": 2, "server": "string", "storage": "string", "systemStorage": "string" }]
Fetch the available Nutanix versions to installProductionPublic
Query parameters
Fully qualified name and unique name of the hardware
Response
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ availableVersions[ "string"]
Get a node details in a clusterProduction
Path parameters
Server
Service name
Response
Hypervisor IP
Controler VM IP
Node possible actions
Name of the associated server
Node status
DEPLOYEDDEPLOYINGDEPLOY_CANCELLEDDEPLOY_FAILUREUNDEPLOYEDUNDEPLOYINGUNDEPLOY_CANCELLEDUNDEPLOY_FAILUREUNKNOWNExample uses server = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ nodes/ {server} \
-H "authorization: Bearer $OVH_TOKEN"{ "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "possibleActions": [ { "action": "INSTALL", "isPossible": true, "reason": "string" } ], "server": "string", "status": "DEPLOYED"}
Fetch the requirements for a given cluster configurationProductionPublic
Query parameters
Cluster redundancy factor
23Response
Maximum number of nodes
Minimum number of nodes
Number of added/removed nodes in case of scaling up/down
Public: no token needed
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ requirements{ "maxNodes": 0, "minNodes": 0, "scaleFactor": 0}
Get service informationProduction
Path parameters
Service name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Launch a contact change procedureProduction
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Confirm service terminationProduction
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Terminate a nodeProduction
Path parameters
Server
Service name
Response
Example uses server = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ nodes/ {server}/ terminate \
-H "authorization: Bearer $OVH_TOKEN"Ask for the termination of your serviceProduction
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Update nutanix cluster infoProduction
Path parameters
Service name
Query parameters
I am aware that I am going to make changes that will reinstall my cluster
I am aware that I am going to make changes that will scale-out my cluster
Request body (required)
Control Panel URL
Dataservice IP
Erasure coding activation
Internal Gateway IP, with mask
Infra-Vlan number
Should Prism Central be installed on the cluster
External Gateway IP, with mask
IPLB ID
Cluster name
Cluster node list
Prism Central Configuration
Prism Element IP
UUID for secret
Rack Awareness activation
Redundancy Factor
AOS Version
vRack name
Response
Available redundancy Factor
Available versions to install
Cluster name
Current cluster's status
ActiveDeployingErrorTarget Spec after deployment
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedRedundancyFactor": [ 0 ], "availableVersions": [ "string" ], "serviceName": "string", "status": "Active", "targetSpec": { "controlPanelURL": "string", "dataserviceIp": "192.0.2.0", "erasureCoding": true, "gatewayCidr": "192.0.2.0/24", "infraVlanNumber": 0, "ipfo": "192.0.2.0/24", "iplb": "string", "name": "string", "nodes": [ { "ahvIp": "192.0.2.0", "cvmIp": "192.0.2.0", "server": "string" } ], "prismCentral": { "ips": [ "192.0.2.0" ], "size": "large", "type": "alone", "vip": "192.0.2.0" }, "prismElementVip": "192.0.2.0", "prismSecretId": "00000000-0000-0000-0000-000000000000", "rackAwareness": true, "redundancyFactor": 0, "version": "string", "vrack": "string" }}
Reinstall a node in a clusterProduction
Path parameters
Server
Service name
Request body (required)
AOS Version
Response
Example uses server = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ nodes/ {server} \
-H "authorization: Bearer $OVH_TOKEN"Update DeployProduction
Path parameters
Server
Service name
Request body (required)
Hypervisor IP
Controler VM IP
AOS Version
Response
Example uses server = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ nodes/ {server}/ deploy \
-H "authorization: Bearer $OVH_TOKEN"Update service informationProduction
Path parameters
Service name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Update VRACKProduction
Path parameters
Service name
Request body (required)
vRack Name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ nutanix/ {serviceName}/ vrack \
-H "authorization: Bearer $OVH_TOKEN"